Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update memories

POST /memory_stores/{name}:update_memories

Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.

Parametry záhlaví

Foundry-Features enum vyžadováno

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parametry cesty

name string vyžadováno

The name of the memory store to update.

Parametry dotazů

api-version string vyžadováno

The API version to use for this operation.

Text požadavku

Content-Type: application/json
scope string vyžadováno

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Conversation items to be stored in memory.

previous_update_id string

The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.

update_delay integer

Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).

Odpovědi

The request has been accepted for processing, but processing has not yet completed.

Hlavičky

Operation-Location string vyžadováno

The location for monitoring the operation state.

Text

Content-Type: application/json
update_id string vyžadováno

The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.

status string | enum vyžadováno

Status of a memory store update operation.

Některá z následujících možností:
string
enum
queuedin_progresscompletedfailedsuperseded
superseded_by string

The update_id the operation was superseded by when status is "superseded".

result MemoryStoreUpdateCompletedResult

Memory update result.

memory_operations MemoryOperation[] vyžadováno

A list of individual memory operations that were performed during the update.

usage MemoryStoreOperationUsage vyžadováno

Usage statistics of a memory store operation.

embedding_tokens integer vyžadováno

The number of embedding tokens.

input_tokens integer vyžadováno
input_tokens_details OpenAI.ResponseUsageInputTokensDetails vyžadováno
cached_tokens integer vyžadováno
cache_write_tokens integer vyžadováno
output_tokens integer vyžadováno
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails vyžadováno
reasoning_tokens integer vyžadováno
total_tokens integer vyžadováno
error OpenAI.Error
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

POST /memory_stores/{name}:update_memories HTTP/1.1

Response

Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026